### Function Macro

# GLib strstrip

since: 2.0

#### Declaration

    #define g_strstrip (
      string
    )

#### Description

Removes leading and trailing whitespace from a string.

See `g_strchomp()` and `g_strchug()`.

Available since: 2.0

This function is not directly available to language bindings.

#### Parameters

`string`

  Type: `-`

  A string to remove the leading and trailing whitespace from.